basic = require("lib.basic")



local toPlant = {
  [1] = "minecraft:wheat_seeds",
  [2] = "minecraft:potato",
  [3] = "minecraft:carrot",
}

local toCollect = {
  [1] = "minecraft:wheat",
  [2] = "minecraft:potato",
  [3] = "minecraft:carrot",
}

local function doAllFields()

  local numFieldsDepth = 2
  local numFieldsWidth = 2

  turtle.up()

  --for each column
  for i=1, numFieldsDepth do
    for j=1, numFieldsWidth do
      doOneField()
    end
  end
end


--start = 0
--1231 2132 3123 1321
--
--1. +1 aufsteigend
--2. +1 absteigend
--3. +1 aufsteigend
--4. +1 absteigend
local function doOneField()
  for i=1, 4 do --for 4 rows
    for j=1, 4 do
      turtle.digDown()
      turtle.suckUp()

      --get next crop
      if i%2==1 then
        currentSeed = currentSeed + 1
        if currentSeed > 3 then
          currentSeed = 1
        end
      elseif i%2==0 then
        currentSeed = currentSeed - 1
        if currentSeed > 3 then
          currentSeed = 1
        end
      end
    end
  end
end



local function main()
  while true do
    for i=1, 600 do
      basic.clearDisplay()
      print(i*5 .. "/3000")
      sleep(5)
    end
    doAllFields()
    sortAway()
    goToStart()
  end
end



currentSeed = 0
main()